Name:           influxdb3
Version:        3.0.1
Release:        1%{?dist}
Summary:        High-performance time-series database built in Rust

License:        MIT
URL:            https://github.com/InfluxCommunity/influxdb3
Source0:        https://github.com/influxdata/influxdb/archive/refs/tags/v%{version}.tar.gz

Patch0: build_without_git.patch

BuildRequires:  rust cargo git
BuildRequires:  cmake gcc make patchelf openssl-devel pkgconfig protobuf-devel
Requires:       libgcc

%description
InfluxDB 3 is a time-series database written in Rust, optimized for real-time performance and analytics, with integrated support for modern observability tools and data pipelines.

%prep
%autosetup -n influxdb-%{version}

%patch -P0 -p1

%build
export GIT_HASH=%{version}

cargo build \
    --target-dir influxdb3 \
    --package influxdb3 \
    --profile release \
    --no-default-features \
    --features aws,azure,gcp,jemalloc_replacing_malloc \
    --locked

# Post-processing: compress debug sections and fix runtime paths

%install
install -D -m0755 influxdb3 %{buildroot}%{_bindir}/influxdb3

%files
%license LICENSE
%doc README.md
%{_bindir}/influxdb3

%changelog
* Mon May 05 2025 Your Name <you@example.com> - 3.0.1-1
- Initial build of InfluxDB 3 from source with Rust

